// Copyright (c)1995 Ray Dream, Inc. All Rights Reserved.
/* $Id: XComBack.r 1.2 1997/07/11 03:00:18 damien Exp $ */

#define NOFLAG 0L
#define INTERPOLATE 1L

#define MINQF16 0xFFFF8000L
#define MAXQF16 0x00007FFFL
#define MINQFIX 0xFFFF8000L
#define MAXQFIX 0x00007FFFL

135 COMP DISCARDABLE
BEGIN
	"back",           // family ID
	"COba",          // unique creator
	"Sunset background\0",			// name of the extension
	"COM Examples\0",  // sub family (used for shaders and scene operations)
	"3.1.3\0",        // version number
	"TOOLKIT Example\0", // comments
	0x0009L           // minimum API version number required
END

135 PMAP DISCARDABLE 
BEGIN
	//  structure of a PMAP entry:
	//"4lID","type",INTERPOLATE or NOFLAG,"Description\0",minValue,maxValue
	//  ex:
    //"COLO","colo",INTERPOLATE,"Color\0",0L,0L,
    //"ZMIN","qf16",INTERPOLATE,"Min Altitude\0",MINQF16,MAXQF16,
    //"ZMAX","qf16",INTERPOLATE,"Max Altitude\0",MINQF16,MAXQF16,
    //"VISI","qf16",INTERPOLATE,"Visibility\0",0L,MAXQF16
	0x0007, // number of entries, increment it when you add an entry
	"SUNC","colo",INTERPOLATE,"Sun Color\0",MINQF16,MAXQF16,
	"DIAM","qfix",INTERPOLATE,"Sun Diameter\0",MINQF16,MAXQF16,
	"WESD","qfix",INTERPOLATE,"West Direction\0",MINQF16,MAXQF16,
	"ZENC","colo",INTERPOLATE,"Zenith Color\0",MINQF16,MAXQF16,
	"WESC","colo",INTERPOLATE,"West Color\0",MINQF16,MAXQF16,
	"EASC","colo",INTERPOLATE,"East Color\0",MINQF16,MAXQF16,
	"EARC","colo",INTERPOLATE,"Earth Color\0",MINQF16,MAXQF16
END

135 GUID DISCARDABLE 
BEGIN
// from	a GUID in a DTA $"ABCD EFGH IJKL MNOP QRST UVWX YZ12 3456"
// change to 0xEFGH, 0xABCD, 0xIJKL, 0xMNOP, 0xSTQR, 0xWXUV, 0x12YZ, 0x5634
	0x99C0, 0x9D23, 0x3A02, 0x101C, 0x5F88, 0x0204, 0x001C, 0x0270
	0x1BE0, 0xACD4, 0x8243, 0x101C, 0xFC8B, 0x29F6, 0x0DD5, 0x2B26
END

135 XPVW DISCARDABLE
BEGIN
  //  VIEW resource: no null character allowed !!!
"\043 laminated fog view
View {
 PosX 0
 PosY 0
 SizX 267
 SizY 203
 VwId EDIT
 Stat {
  PosX 8
  PosY 4
  SizX 46
  SizY 13
	Capt \042Sun set\042
	}
 Stat {
  PosX 13
  PosY 23
  SizX 70
  SizY 16
	Capt \042Sun color:\042
	}
 Stat {
  PosX 13
  PosY 53
  SizX 70
  SizY 16
	Capt \042Zenith color:\042
	}
 Stat {
  PosX 13
  PosY 93
  SizX 70
  SizY 16
	Capt \042West color:\042
	}
 Stat {
  PosX 13
  PosY 131
  SizX 70
  SizY 16
	Capt \042East color:\042
	}
 Stat {
  PosX 13
  PosY 171
  SizX 70
  SizY 16
	Capt \042Earth color:\042
	}
 Colo {
  PosX 90
	PosY 19
	SizX 48
	SizY 24
	VwId SUNC
	}
 Colo {
  PosX 90
	PosY 53
	SizX 48
	SizY 24
	VwId ZENC
	}
 Colo {
  PosX 90
	PosY 93
	SizX 48
	SizY 24
	VwId WESC
	}
 Colo {
  PosX 90
	PosY 127
	SizX 48
	SizY 24
	VwId EASC
	}
 Colo {
  PosX 90
	PosY 167
	SizX 48
	SizY 24
	VwId EARC
	}
 Stat {
  PosX 160
  PosY 34
  SizX 100
  SizY 16
	Capt \042diameter of the sun:\042
	}
 Stat {
  PosX 160
  PosY 112
  SizX 100
  SizY 16
	Capt \042West direction:\042
	}
 FEdi {
  PosX 166
	PosY 58
	SizX 40
	SizY 18
	MinV 0
	MaxV 5898240
	MaxC 255
	VwId DIAM
	}
 Stat {
  PosX 210
  PosY 60
  SizX 45
  SizY 16
	Capt \042degrees\042
	}
 FEdi {
  PosX 166
	PosY 136
	SizX 40
	SizY 18
	MinV 0
	MaxV 23592960
	MaxC 255
	VwId WESD
	}
 Stat {
  PosX 210
  PosY 138
  SizX 45
  SizY 16
	Capt \042degrees\042
	}
 }
\0"
END

